ColumnChart (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.ColumnChart class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class ColumnChart

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.chart.Chart
              org.hyperic.image.chart.VerticalChart
                  org.hyperic.image.chart.ColumnChart

Direct Known Subclasses:
  AreaChart, ColumnLineChart, HealthChart, HighLowChart

    public class ColumnChart

extends VerticalChart

ColumnChart draws a chart with vertical bars that represent the value of each data point. For a description of how to use ColumnChart, see net.hyperic.chart.Chart.

See Also:
  `net.hyperic.chart.Chart`

Field Summary
`java.awt.Color` | `columnColor` Color of column bars.
`int` | `columnWidth` Width of column bars.
`protected static java.awt.Color` | `DEFAULT_COLUMN_COLOR`
`protected static int` | `DEFAULT_COLUMN_WIDTH`
`protected static java.awt.Color` | `DEFAULT_HIGHLOW_COLOR`
`boolean` | `isCumulative` Determines whether cumulative data point calculations should be performed.

Fields inherited from class org.hyperic.image.chart.VerticalChart
`DANGER_COLOR, DEFAULT_COLOR, GOOD_COLOR, UNKNOWN_COLOR`

Fields inherited from class org.hyperic.image.chart.Chart
`ARG_MUST_BE_ZERO_OR_GREATER, averageLineColor, AVG, baseline, BASELINE, baselineColor, ceiling, chartColor, DEFAULT_LABEL_FONT, DEFAULT_LEGEND_FONT, DEFAULT_LEGEND_PLAIN, DEFAULT_UNIT_LEGEND, DEFAULT_VALUE_LEGEND, EMPTY_STRING, floor, highRange, highRangeColor, legendFont, legendTextColor, lineWidth, LOW, lowLineColor, lowRange, lowRangeColor, m_adRangeMarks, m_bNoData, m_dAvgValue, m_dLowValue, m_dPeakValue, m_floor, m_fmtScale, m_fmtType, m_metricsLabel, m_metricsLegend, PEAK, peakLineColor, rightLabelWidth, showAverage, showBaseline, showBottomLabels, showBottomLegend, showEvents, showFullLabels, showHighRange, showLeftLabels, showLeftLegend, showLow, showLowRange, showPeak, showRightLabels, showRightLegend, showTopLabels, showTopLegend, showUnitLines, showValueLines, showValues, textWhitespace, tickMarkHeight, valueIndent, valueLines, VARIABLE_HEIGHT, VARIABLE_WIDTH, x2VertLabels, x2VertMarks, xLabelsSkip, xLineColor, xOffset, xRLabel, xVertLegend, xVertMarks, yBottomLegend, yHorzLabels, yOffset, yTopLegend`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`ColumnChart()`
`ColumnChart(int width, int height)`

Method Summary
`protected boolean` | `checkHighLow()`
`protected void` | `init()`
`protected void` | `paint(ChartGraphics g, java.awt.Rectangle rect)`

Methods inherited from class org.hyperic.image.chart.VerticalChart
`adjustBorders, adjustRectangle, draw, findDataPointIndex, getCumulativeTrend, getDataPoint, getDataPoint, getDataPointEventIndexes, getInteriorRectangle, getXLabels, getXPoints, getYLabelWidth, initData, setCumulativeTrend, setTimeScale`

Methods inherited from class org.hyperic.image.chart.Chart
`calc, calcRanges, calcVariableHeight, calcVariableWidth, draw, getAverageValue, getDataCollectionClass, getDataPoint, getDataPoints, getDataPoints, getDataSetCount, getDataSetIterator, getDisplayPoint, getEventPoints, getEventPoints, getEventSetIterator, getExteriorHeight, getExteriorRectangle, getLowValue, getNoDataString, getPeakValue, getTitle, getUnitLabel, getUnitLegend, getValueLegend, getXLabelHeight, getXLabelWidth, getXLegendHeight, hasData, initFonts, postInit, preInit, scale, setAbsTimeLabels, setFormat, setNoDataString, setNumberDataSets, setTitle, setUnitLegend, setValueLegend`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLUMN_WIDTH

    protected static final int DEFAULT_COLUMN_WIDTH

See Also:
  Constant Field Values

### DEFAULT_COLUMN_COLOR

    protected static final java.awt.Color DEFAULT_COLUMN_COLOR

### DEFAULT_HIGHLOW_COLOR

    protected static final java.awt.Color DEFAULT_HIGHLOW_COLOR

### columnWidth

    public int columnWidth

  Width of column bars.

### columnColor

    public java.awt.Color columnColor

  Color of column bars.

### isCumulative

    public boolean isCumulative

  Determines whether cumulative data point calculations should be performed.

Constructor Detail

### ColumnChart

    public ColumnChart()

### ColumnChart

    public ColumnChart(int width,
                       int height)

Method Detail

### init

    protected void init()

  Overrides:
    `init` in class `VerticalChart`

### paint

    protected void paint(ChartGraphics g,
                         java.awt.Rectangle rect)

  Overrides:
    `paint` in class `VerticalChart`

### checkHighLow

    protected boolean checkHighLow()

  Overrides:
    `checkHighLow` in class `Chart`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.